<?php
$dostup_country = true;
include_once('inclfiles/core.php');
$title = 'Журнал';
include_once('inclfiles/head.php');
$all = mysql_num_rows(mysql_query("SELECT * FROM `journal` WHERE `country` = ".$country['id'].""));
if($all != 0){
$total=intval(($all-1)/$set['napage'])+1;
if(empty($page) OR $page < 0) $page = 1;
if($page > $total) $page = $total;
$past=intval($all/$set['napage']);
$start=$page*$set['napage']-$set['napage'];
$messages = mysql_query("SELECT * FROM `journal` WHERE `country` = ".$country['id']." ORDER BY `time` DESC LIMIT ".$start.",".$set['napage']."");
while($message = mysql_fetch_array($messages)){
	t1();
    $journal_type = mysql_fetch_array(mysql_query("SELECT * FROM `journal_types` WHERE `id` = ".$message['type'].""));
	echo time_right($message['time']).$journal_type['name'].' ';
    if($message['prochitano'] == 0) echo zna4ok('new','Новое');
    echo '<br/><small>';
    switch($message['type']){
    	case 1:  // Задача завершена
        	if($message['num1'] == 1){  //постройка завершена
        		$building_type = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$message['num2'].""));
            	echo 'Сооружение '.$building_type['name_rp'].' успешно построено';
        	}
        	else if($message['num1'] == 2){  //ремонт завершен
        		$building_type = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$message['num2'].""));
            	echo 'Ремонт сооружения '.$building_type['name_rp'].' успешно завершен';
        	}
        	else if($message['num1'] == 3){  //ремонт завершен
        		$building_type = mysql_fetch_array(mysql_query("SELECT * FROM `buildings_types` WHERE `id` = ".$message['num2'].""));
            	echo 'Улучшение сооружения '.$building_type['name_rp'].' успешно завершено';
        	}
        	else if($message['num1'] == 4){  //не установлено

        	}
        	else if($message['num1'] == 5){  //добыча завершена

        	}
        	else if($message['num1'] == 6){  //обучение военных завершено
        		if($message['num2'] == 3){
         	    	$name_one = 'стрелка';
         	    	$name_two = 'стрелков';
         	    }
         	    else if($message['num2'] == 2){
         	    	$name_one = 'кавалериста';
         	    	$name_two = 'кавалеристов';
         	    }
         		else{
         	    	$name_one = 'пехотинца';
         	    	$name_two = 'пехотинцев';
         		}
            	echo 'Обучение '.chislo($message['num3'],$name_one,$name_two,$name_two).' успешно завершено';
        	}
        	else if($message['num1'] == 7){  //обучение ученых завершено
            	echo 'Обучение '.chislo($message['num3'],'ученого','ученых','ученых').' успешно завершено';
        	}
   		break;
   		case 2:   //новое соседнее государство

   		break;
   		case 3:   //нас ограбили
   			$vor_country = mysql_fetch_array(mysql_query("SELECT * FROM `countries` WHERE `id` = ".$message['num1'].""));
   			echo 'Государство <a href="/country.php?id='.$vor_country['id'].'&'.$gets.'">'.$vor_country['name'].'</a> украло '.chislo($message['num2'],'монета','монеты','монет').', '.$message['num3'].' дерева, '.$message['num4'].' камня, '.$message['num5'].' железа, '.$message['num6'].' зерна и '.$message['num7'].' нефти';
   		break;
   		case 4:   //нас пытались ограбить
   			$vor_country = mysql_fetch_array(mysql_query("SELECT * FROM `countries` WHERE `id` = ".$message['num1'].""));
   			echo 'Государство <a href="/country.php?id='.$vor_country['id'].'&'.$gets.'">'.$vor_country['name'].'</a> безуспешно пыталось нас ограбить';
   		break;
  		case 5:   //умер генерад
   			$mertv_general = mysql_fetch_array(mysql_query("SELECT * FROM `generals` WHERE `id` = ".$message['num1'].""));
   			echo 'Наш генерал '.$mertv_general['name'].' скончался в возрасте '.declination($mertv_general['vozrast'], 'года', 'лет', 'лет');
   		break;
  		case 6:   //начало пути
   			$strana = mysql_fetch_array(mysql_query("SELECT * FROM `countries` WHERE `id` = ".$message['num1'].""));
   			echo 'Ваше новое государство '.$strana['name'].' успешно создано';
   		break;
    }
    echo '</small>';
	t2();
    if($message['prochitano'] == 0) mysql_query("UPDATE `journal` SET `prochitano` = 1 WHERE `id` = ".$message['id']."");
}
navigation($all,$set['napage'],$page,'journal.php?',$total);
}
else t('Нет записей');
include_once('inclfiles/foot.php');
?>